Page MenuHomePhabricator

Special:Block doesn't warn if no such user
Closed, ResolvedPublic

Description

Special:Block/Some_User and Special:Block/Some_Name_that_is_not_a_User act the same.
At least the latter should warn.


Version: 1.20.x
Severity: trivial

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:19 AM
bzimport set Reference to bz35687.
Jidanni created this task.Apr 4 2012, 3:38 AM

devunt, are you still working on this? If not, can you please take your name off the assignee field so that someone else can work on it? If you are still working on it, can you show us some of the work so far?

Oh, I forgot about this bug after taking.. I'm working on this bug now.

Change 136290 had a related patch set uploaded by devunt:
Warn when user trying to block nonexistent user

https://gerrit.wikimedia.org/r/136290

Change 136290 had a related patch set uploaded (by devunt):
Warn when user trying to block nonexistent user

https://gerrit.wikimedia.org/r/136290

Patch-For-Review

Change 136290 merged by jenkins-bot:
Warn when user trying to block nonexistent user

https://gerrit.wikimedia.org/r/136290

Umherirrender closed this task as Resolved.Feb 23 2015, 7:24 PM
Umherirrender added a subscriber: Umherirrender.

The fix will be part of MediaWiki1.25wmf19, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the timeline

devunt set Security to None.